//
//  setup_jogging_dlg.cpp - setup jog dialog class implementation
//
//  $Id: setup_jogging_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
// setupjog.cpp : implementation file
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupJoggingDlg dialog
//
CSetupJoggingDlg::CSetupJoggingDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupJoggingDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupJoggingDlg)
	m_MaxJogRate = "";
	m_JogAccel = "";
	m_JogDecel = "";
	m_JoystickDeadband = 0;
	m_UsePCJoystick = FALSE;
	//}}AFX_DATA_INIT
}

void CSetupJoggingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	
	//{{AFX_DATA_MAP(CSetupJoggingDlg)
	DDX_Text(pDX, IDC_MAX_JOG_RATE, m_MaxJogRate);
	DDX_Text(pDX, IDC_JOG_ACCEL, m_JogAccel);
	DDX_Text(pDX, IDC_JOG_DECEL, m_JogDecel);
	DDX_Text(pDX, IDC_JOYSTICK_DEADBAND, m_JoystickDeadband);
	DDV_MinMaxInt(pDX, m_JoystickDeadband, 0, 100);
	DDX_Check(pDX, IDC_USE_PC_JOYSTICK, m_UsePCJoystick);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupJoggingDlg, CDialog)
	//{{AFX_MSG_MAP(CSetupJoggingDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


BOOL CSetupJoggingDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	TRACE("SETUP JOGGING: ON INITIAL UPDATE\r\n");
	
	return(TRUE);
}

/////////////////////////////////////////////////////////////////////////////
// CSetupJoggingDlg message handlers
